function result = mulQ(r, q)
% result = mulQ(r,q) returns the result of the
% multiplication of the two quaternions r and q.
% Quaternions are represented as row vectors
% with four elements.
% This does not work for arrays of quaternions yet.

r0 = r(1);
rx = r(2);
ry = r(3);
rz = r(4);

mat = [r0, rx, ry, rz;
       -rx, r0, rz,  -ry;
       -ry,  -rz,  r0, rx;
       -rz, ry,  -rx,  r0];
   
result = q * mat;


